## org.apache.aries.subsystem.core.archive
Class AriesSubsystemParentsHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AriesSubsystemParentsHeader

All Implemented Interfaces:
  Header<AriesSubsystemParentsHeader.Clause>, RequirementHeader<AriesSubsystemParentsHeader.Clause>

    public class AriesSubsystemParentsHeader

extends Object
implements RequirementHeader<AriesSubsystemParentsHeader.Clause>

Nested Class Summary
`static class` `AriesSubsystemParentsHeader.Clause`

Field Summary
`static String` `NAME`

Constructor Summary
`AriesSubsystemParentsHeader(Collection<AriesSubsystemParentsHeader.Clause> clauses)`
`AriesSubsystemParentsHeader(String value)`

Method Summary
`boolean` `contains(BasicSubsystem subsystem)`
`AriesSubsystemParentsHeader.Clause` `getClause(BasicSubsystem subsystem)`
`Collection<AriesSubsystemParentsHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`List<org.osgi.resource.Requirement>` `toRequirements(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### AriesSubsystemParentsHeader

    public AriesSubsystemParentsHeader(Collection<AriesSubsystemParentsHeader.Clause> clauses)

### AriesSubsystemParentsHeader

    public AriesSubsystemParentsHeader(String value)

Method Detail

### contains

    public boolean contains(BasicSubsystem subsystem)

### getClause

    public AriesSubsystemParentsHeader.Clause getClause(BasicSubsystem subsystem)

### getClauses

    public Collection<AriesSubsystemParentsHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<AriesSubsystemParentsHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<AriesSubsystemParentsHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<AriesSubsystemParentsHeader.Clause>`

### toRequirements

    public List<org.osgi.resource.Requirement> toRequirements(org.osgi.resource.Resource resource)

  Specified by:
    `toRequirements` in interface `RequirementHeader<AriesSubsystemParentsHeader.Clause>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.